Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(649)

Issue 1520014: Linux: fix printing somewhat.... (Closed)

Created:
10 years, 4 months ago by Evan Stade
Modified:
9 years, 1 month ago
CC:
chromium-reviews, jam+cc_chromium.org, darin-cc_chromium.org, brettw-cc_chromium.org
Visibility:
Public.

Description

Linux: fix printing somewhat. BUG=29148 TEST=prints documents greater than one page (to real printers) Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=44161

Patch Set 1 #

Total comments: 11

Patch Set 2 : '' #

Unified diffs Side-by-side diffs Delta from patch set Stats (+77 lines, -232 lines) Patch
M chrome/renderer/print_web_view_helper_linux.cc View 1 1 chunk +7 lines, -26 lines 0 comments Download
M printing/pdf_ps_metafile_cairo.h View 1 5 chunks +10 lines, -22 lines 0 comments Download
M printing/pdf_ps_metafile_cairo.cc View 1 10 chunks +49 lines, -178 lines 0 comments Download
M printing/pdf_ps_metafile_cairo_unittest.cc View 2 chunks +4 lines, -4 lines 0 comments Download
M third_party/WebKit/WebKit/chromium/src/WebFrameImpl.cpp View 1 1 chunk +7 lines, -2 lines 0 comments Download

Messages

Total messages: 13 (0 generated)
Evan Stade
10 years, 4 months ago (2010-04-03 01:08:17 UTC) #1
Evan Martin
I don't know this code very well. I think Tony is on vacation. I may ...
10 years, 4 months ago (2010-04-03 02:17:02 UTC) #2
darin (slow to review)
http://codereview.chromium.org/1520014/diff/1/5 File third_party/WebKit/WebKit/chromium/src/WebFrameImpl.cpp (right): http://codereview.chromium.org/1520014/diff/1/5#newcode294 third_party/WebKit/WebKit/chromium/src/WebFrameImpl.cpp:294: // On Linux, we don't have the problem with ...
10 years, 4 months ago (2010-04-03 04:56:09 UTC) #3
tony
I don't know this code very well, but it looks like you're moving the scaling ...
10 years, 4 months ago (2010-04-05 04:07:06 UTC) #4
Evan Stade
On 2010/04/05 04:07:06, tony wrote: > I don't know this code very well, but it ...
10 years, 4 months ago (2010-04-05 18:44:17 UTC) #5
tony
On 2010/04/05 18:44:17, Evan Stade wrote: > This also fixes another problem which might be ...
10 years, 4 months ago (2010-04-06 00:01:12 UTC) #6
Evan Stade
yep, works in sandbox. will cook up the webkit patch now.
10 years, 4 months ago (2010-04-06 20:42:24 UTC) #7
Evan Stade
On 2010/04/06 20:42:24, Evan Stade wrote: > yep, works in sandbox. will cook up the ...
10 years, 4 months ago (2010-04-06 20:50:27 UTC) #8
M-A Ruel
The compile error on the linux try job looks genuine. http://codereview.chromium.org/1520014/diff/1/3 File printing/pdf_ps_metafile_cairo.cc (right): http://codereview.chromium.org/1520014/diff/1/3#newcode21 ...
10 years, 4 months ago (2010-04-07 13:51:42 UTC) #9
M-A Ruel
http://codereview.chromium.org/1520014/diff/1/2 File printing/pdf_ps_metafile_cairo.h (right): http://codereview.chromium.org/1520014/diff/1/2#newcode91 printing/pdf_ps_metafile_cairo.h:91: std::string data_; 2010/04/07 13:51:42, Marc-Antoine Ruel wrote: > I'm ...
10 years, 4 months ago (2010-04-07 13:53:35 UTC) #10
Evan Stade
test fixed. http://codereview.chromium.org/1520014/diff/1/3 File printing/pdf_ps_metafile_cairo.cc (right): http://codereview.chromium.org/1520014/diff/1/3#newcode21 printing/pdf_ps_metafile_cairo.cc:21: // The hardcoded margins, in points. These ...
10 years, 4 months ago (2010-04-07 19:21:59 UTC) #11
M-A Ruel
I'm still worried about the margins as it should use the one specified by the ...
10 years, 4 months ago (2010-04-07 19:27:31 UTC) #12
Evan Stade
10 years, 4 months ago (2010-04-07 20:13:53 UTC) #13
we don't have any settings of that sort hooked up :-(

Powered by Google App Engine
This is Rietveld 408576698